You only need two things:

  1. High speed internet
  2. A supported device.


Wondering if your device is compatible with Frndly TV? Check out our device requirements below:


 

Device

Requirements

Amazon Fire TV

  • All Fire TV devices (FireSticks) and TVs with Fire TV built in with:
  • Android OS 5.0 (Lollipop) or higher
  • Excluding Kindle Devices

Android Mobile

  • Google approved mobile phones/tablets with:
  • Android OS 4.4 (Kit Kat) or higher
Apple TV  
  • Gen 4 or newer
  • tvOS v10.0 or higher

Browser

  • Chrome - latest version
  • Internet Explorer - latest version
  • Safari - latest version
  • Edge - latest version
  • Firefox - latest version

Chromecast

  • All Chromecast devices via:
  • Android Mobile
  • iPhone/iPad/iPod

iPhone/iPad/iPod

  • iPhone 4s or newer
  • iPad 2 or newer
  • iPod Touch Gen 5 or newer
  • iOS v10.0 or higher

Roku

  • All 2019/2020 models
  • 8000X TV
  • 7000X 4K TV
  • 6000X 4K TV
  • 5000X TV
  • 4661X Ultra
  • 4660X Ultra
  • 4640X Ultra
  • 4630X Premiere +
  • 4620X Premiere
  • 4400X 4
  • 4230X 3
  • 4200X 3
  • 3921X Premiere +
  • 3920X Premiere
  • 3910X Express +
  • 3900X Express
  • 3810X Stick +
  • 3800X Stick


  • 4210X 2
  • 3710X Express +
  • 3700X Express
  • 3600X Stick
  • 3050X 2 XD
  • 3000X 2 HD
  • 2720X 2
  • 2700X LT
  • 2500X HD
  • 2450X LT
  • 2400X LT


If you own one of the below models, Frndly TV will still be great for you, but your experience will be slightly different as we needed to create a modified layout for your Programming Guide. 

  • 3500X Stick
  • 3420X Stick
  • 3400X Stick
  • 3100X 2 XS
  • 2710X 1